Bug 1400254 - Upgrade pytest in EPEL6
Summary: Upgrade pytest in EPEL6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pytest
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-30 18:05 UTC by Orion Poplawski
Modified: 2017-11-01 16:42 UTC (History)
4 users (show)

Fixed In Version: pytest-2.4.2-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-01 16:42:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2016-11-30 18:05:55 UTC
Description of problem:

I'd like to upgrade pytest in EPEL6 if possible.

Looks like we can update to 2.4.2 pretty easily with:

diff --git a/pytest.spec b/pytest.spec
index 4ec3b3a..5ce8885 100644
--- a/pytest.spec
+++ b/pytest.spec
@@ -30,6 +30,10 @@ BuildRequires:  python-sphinx
 BuildRequires:  python-sphinx10
 %endif # fedora
 BuildRequires:  python-docutils
+%if 0%{?rhel} && 0%{?rhel} <= 6
+BuildRequires:  python-argparse
+Requires:       python-argparse
+%endif
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools

After that we would need to update python-py as well.  Not sure how easy that would be.

Version-Release number of selected component (if applicable):
2.3.5-3.el6

Comment 1 Thomas Moschny 2016-12-05 23:05:41 UTC
pytest 2.4 introduced some incompatibilities, see http://doc.pytest.org/en/latest/changelog.html#id144. Why do you want to update the package?

Comment 2 Orion Poplawski 2016-12-06 02:42:03 UTC
I ran into a package that didn't discover any tests with 2.3.5, but worked fine with 2.4.2.  If there are too many incompatible changes obviously it won't work to upgrade.

known incompatibilities:

*  if calling –genscript from python2.7 or above, you only get a standalone script which works on python2.7 or above. Use Python2.6 to also get a python2.5 compatible version.

-> This doesn't appear to be applicable here.

*  all xunit-style teardown methods (nose-style, pytest-style, unittest-style) will not be called if the corresponding setup method failed, see issue322 below.

-> I don't quite follow this, but seems mainly to address side effects on test setup failing.

*  the pytest_plugin_unregister hook wasn’t ever properly called and there is no known implementation of the hook - so it got removed.

-> This might require patching out of calls to pytest_plugin_unregister.

*  pytest.fixture-decorated functions cannot be generators (i.e. use yield) anymore. This change might be reversed in 2.4.1 if it causes unforeseen real-life issues. However, you can always write and return an inner function/generator and change the fixture consumer to iterate over the returned generator. This change was done in lieu of the new pytest.yield_fixture decorator, see below.

-> This looks like probably the biggest issue.

Comment 3 Fedora Update System 2017-10-09 09:49:56 UTC
pytest-2.4.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4fba27d6bc

Comment 4 Fedora Update System 2017-10-09 20:18:52 UTC
pytest-2.4.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4fba27d6bc

Comment 5 Fedora Update System 2017-11-01 16:42:23 UTC
pytest-2.4.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.